Aprepro 5.0x

Public Types | Public Member Functions | Public Attributes | List of all members
SEAMS::Parser::by_type Struct Reference

Type access provider for token (enum) based symbols. More...

`#include <aprepro_parser.h>`

Inheritance diagram for SEAMS::Parser::by_type:
[legend]

## Public Types
typedef token_type | kind_type
| The symbol type as needed by the constructor. More...

## Public Member Functions
| by_type ()
| Default constructor. More...
| by_type (const by_type &that)
| Copy constructor. More...
| by_type (kind_type t)
| Constructor from (external) token numbers. More...
void | clear ()
| Record that this symbol is empty. More...
void | move (by_type &that)
| Steal the symbol type from that. More...
symbol_number_type | type_get () const YY_NOEXCEPT
token_type | token () const YY_NOEXCEPT
| The token. More...

## Public Attributes
int | type

## Detailed Description

Type access provider for token (enum) based symbols.

## Member Typedef Documentation

## ◆ kind_type

typedef token_type SEAMS::Parser::by_type::kind_type

The symbol type as needed by the constructor.

## Constructor & Destructor Documentation

## ◆ by_type() [1/3]

SEAMS::Parser::by_type::by_type | ( |  | ) |

Default constructor.

## ◆ by_type() [2/3]

SEAMS::Parser::by_type::by_type | ( | const by_type & | that | ) |

Copy constructor.

## ◆ by_type() [3/3]

SEAMS::Parser::by_type::by_type | ( | kind_type | t | ) |

Constructor from (external) token numbers.

## Member Function Documentation

## ◆ clear()

void SEAMS::Parser::by_type::clear | ( |  | ) |

Record that this symbol is empty.

## ◆ move()

void SEAMS::Parser::by_type::move | ( | by_type & | that | ) |

Steal the symbol type from that.

## ◆ token()

token_type SEAMS::Parser::by_type::token | ( |  | ) | const

The token.

## ◆ type_get()

int SEAMS::Parser::by_type::type_get | ( |  | ) | const

The (internal) type number (corresponding to type). empty when empty.

## Member Data Documentation

## ◆ type

int SEAMS::Parser::by_type::type

The symbol type. empty_symbol when empty. An int, not token_number_type, to be able to store empty_symbol.

The documentation for this struct was generated from the following files:

- aprepro_parser.h
- apr_parser.cc